package client;

import common.ChatUserInterface;

public class ClientUser implements ChatUserInterface  {
	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
		private String userName = "";
		private String userScreenName = "";
		private boolean ignored = false;
		
		public ClientUser(ChatUserInterface user)
		{
			super();
			this.userName = user.getUserName();
			this.userScreenName = user.getUserScreenName();
		}
		

		public ClientUser(String userName, String userScreenName) {
			super();
			this.userName = userName;
			this.userScreenName = userScreenName;
		}
		
		public void finalize()
		{
			userName = null;
			userScreenName=null;
		}

		@Override
		public String getUserName() {
			return this.userName;
		}

		@Override
		public String getUserScreenName() {
			return this.userScreenName;
		}


		public boolean isIgnored() {
			return ignored;
		}


		public void setIgnored(boolean ignored) {
			this.ignored = ignored;
		}


		public void setUserName(String userName) {
			this.userName = userName;
		}


		public void setUserScreenName(String userScreenName) {
			this.userScreenName = userScreenName;
		}

	}

	

