package common;

public class DuplicateUserException extends Exception implements Cloneable {
	private ChatUserInterface user;

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	public DuplicateUserException(String message) {
		super(message);
	}

	public DuplicateUserException(String message, ChatUserInterface user) {
		super(message);
		this.user = user;
	}

	public ChatUserInterface getUser() {
		return user;
	}

	public void setUser(ChatUserInterface user) {
		this.user = user;
	}
	
	public DuplicateUserException clone()
	{
		return null;
		
	}

}
