package client;

import client.ui.ChatGUIProgramInstance;

public class NewJavaChatClient {
	/**
	 * 
	 * @param args
	 *            These are the arguments passed in on the command line. If a
	 *            network chat session is to be used, arg[1] is the text
	 *            "network" and arg[2] is the name of the host.
	 */
	public static void main(String[] args) {
		if (args.length == 0) {
			new ChatGUIProgramInstance();
		} else if (args.length > 4) {
			printUsage();
		} else if (args[0].equals("connect")) {
			new ChatGUIProgramInstance(args[1], args[2], args[3]);
		} else {
			printUsage();
		}
		Runtime.runFinalizersOnExit(true);
	}

	public static void printUsage() {
		System.err
				.println("Usage: \n\tjava JavaChatClient \n\tjava JavaChatClient connect <Remote Machine Name> <Username> <ScreenName>.");
	}
}
